PUSH(8)

NAME
push - fetch mail via POP

SYNOPSIS
push [-4 | --krb4] [-5 | --krb5] [-v | --verbose] [-f | --fork] [-l | --leave] [--from] [-c | --count] [--headers=headers] [-p port-spec --port=port-spec] po-box filename

DESCRIPTION
push retrieves mail from the post office box po-box, and stores the mail in mbox format in filename. The po-box can have any of the following formats:
‘hostname:username’
‘po:hostname:username’
‘username@hostname’
‘po:username@hostname’
‘hostname’
‘po:username’

If no username is specified, push assumes that it's the same as on the local machine; hostname defaults to the value of the MAILHOST environment variable.

Supported options:

    -4, --krb4 use Kerberos 4 (if compiled with support for Kerberos 4)

    -5, --krb5 use Kerberos 5 (if compiled with support for Kerberos 5)

    -f, --fork fork before starting to delete messages

    -l, --leave don't delete fetched mail

    --from behave like from.

    -c, --count first print how many messages and bytes there are.

    --headers=headers a list of comma-separated headers that should get printed.

    -p port-spec, --port=port-spec use this port instead of the default ‘kpop’ or ‘1109’.

The default is to first try Kerberos 5 authentication and then, if that fails, Kerberos 4.

ENVIRONMENT

MAILHOST
    points to the post office, if no other hostname is specified.

EXAMPLES

    $ push cornfield:roosta ~/.emacs-mail-crash-box

tries to fetch mail for the user roosta from the post office at “cornfield”, and stores the mail in ~/.emacs-mail-crash-box (you are using Gnus, aren't you?)

    $ push --from -5 havregryn

tries to fetch From: lines for current user at post office “havregryn” using Kerberos 5.

SEE ALSO
from(1), pfrom(1), movemail(8), popper(8)

HISTORY
push was written while waiting for movemail to finish getting the mail.